%% LaTeX template class for technical report
%% for subject NRP in Czech Technical University in Prague (CTU)
%%
%% (c) 2008 Vit Zyka
%%
%% History:
%% 0.1 2008-09-21 new

\typeout{Class nrp-report v0.1, 2008-09-21, Vit Zyka}

%% Options...
\newif\ifCzech

\DeclareOption{czech}{\Czechtrue}
\ProcessOptions

\LoadClass[a4paper,normalheadings]{scrartcl}

%% Dimensions...
\setlength{\columnsep}{10mm}

\renewcommand{\topfraction}{0.9}
\renewcommand{\bottomfraction}{0.9}
\renewcommand{\dbltopfraction}{0.9}
\renewcommand{\textfraction}{0}
\setcounter{topnumber}{4}
\setcounter{bottomnumber}{4}
\setcounter{totalnumber}{4}
\setcounter{dbltopnumber}{4}

%% Packages...
\RequirePackage{ifpdf}
\ifCzech
  \RequirePackage[czech]{babel}
\fi
\RequirePackage{lmodern}
\usepackage[T1]{fontenc}
\usepackage[left=15mm,right=15mm,top=18mm,bottom=20mm,footskip=10mm]{geometry}
\ifpdf
  \RequirePackage[pdftex]{graphicx}
  \RequirePackage[pdftex]{color}
\else
  \RequirePackage{graphicx}
  \RequirePackage{color}
\fi
\RequirePackage[pdfpagemode=UseNone,pdfborder=0 0 0]{hyperref}
\RequirePackage{mflogo}
\RequirePackage{natbib}

%% Title...
\newtoks\NRPemail
\def\email#1{\NRPemail={#1}}
\AtBeginDocument{%
  \expandafter\author\expandafter{\@author\\\url{\the\NRPemail}}}

\let\maketitleOrig=\maketitle
\def\maketitle{\@ifnextchar[{\domaketitle}{\domaketitle[]}}
\def\domaketitle[#1]{%
  \twocolumn[\vskip-1.5cm\maketitleOrig\begin{quotation}#1\end{quotation}\bigskip]%
}

%% Bibliography...
\bibliographystyle{plain}

%% Misc...
\def\CONTEXT{Con\kern-.1em\TeX{}t}
\def\MetaPost{\MP}

\endinput

%% End of file `nrp-report.cls'
